Package org.codehaus.groovy.tools.groovydoc.antlr4

## Class GroovyDocParser

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.antlr4.GroovyDocParser

- All Implemented Interfaces:
    `GroovyDocParserI`

      public class GroovyDocParser
      extends Object
      implements GroovyDocParserI

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovyDocParser​(List<LinkArgument> links, Properties properties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​GroovyClassDoc>` | `getClassDocsFromSingleSource​(String packagePath, String file, String src)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyDocParser

          public GroovyDocParser​(List<LinkArgument> links,
                                 Properties properties)

  - ### Method Detail

    - #### getClassDocsFromSingleSource

          public Map<String,​GroovyClassDoc> getClassDocsFromSingleSource​(String packagePath,
                                                                               String file,
                                                                               String src)
                                                                        throws RuntimeException

      Specified by:
        `getClassDocsFromSingleSource` in interface `GroovyDocParserI`
      Throws:
        `RuntimeException`